# Command: ScanThread

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    ScanThread - execute a function to corresponding elements of n arrays

Synopsis:

    [[a11 ... a1n]...[am1 ... amn]] {f} ScanThread ->	-

Description:

    ScanThread applies the given function to corresponding elements
      of m argument arrays. This is similar to MapThread, but no results
      are returned.

Parameters:

    the first parameter is a list of m arrays of equal size n.
      The second parameter is a procedure which takes m arguments and
      returns nothing.

      Examples:   [[(a) (b) (c)] [1 2 3]] { exch (: ) join exch cvs join == } ScanThread

      generates the following output and leaves nothing on the stack.

References:

    This function implements the simple version of Mathematica's ScanThread

SeeAlso:

- MapThread
- forall
- Map
- MapIndexed
- NestList
- FoldList

Source:

    /opt/conda/conda-bld/nest_1524088722951/work/nest-2.14.0/lib/sli/mathematica.sli

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative